DependencyConfigurationContext (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.resolve.config

## [Java] Class DependencyConfigurationContext

- org.codehaus.groovy.grails.resolve.config.DependencyConfigurationContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `IvyDependencyManager` | `dependencyManager` |
    `boolean` | `exported` |
    `boolean` | `inherited` |
    `java.lang.String` | `pluginName` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `DependencyConfigurationContext` | `createInheritedContext()`
    `static DependencyConfigurationContext` | `forApplication(IvyDependencyManager dependencyManager)`
    `static DependencyConfigurationContext` | `forPlugin(IvyDependencyManager dependencyManager, java.lang.String pluginName)`
    `org.apache.ivy.core.module.descriptor.ExcludeRule[]` | `getExcludeRules()`
    `GrailsCoreDependencies` | `getGrailsCoreDependencies()` Gives access to the grails core dependencies.
    `java.lang.String` | `getParentScope()`
    `boolean` | `isOffline()`
    `void` | `setExcludeRules(org.apache.ivy.core.module.descriptor.ExcludeRule[] excludeRules)`
    `void` | `setOffline(boolean offline)`
    `void` | `setParentScope(java.lang.String scope)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public final IvyDependencyManager dependencyManager

    - #### public final boolean exported

    - #### public final boolean inherited

    - #### public final java.lang.String pluginName

  - ### Method Detail

    - #### public DependencyConfigurationContext createInheritedContext()

    - #### public static DependencyConfigurationContext forApplication(IvyDependencyManager dependencyManager)

    - #### public static DependencyConfigurationContext forPlugin(IvyDependencyManager dependencyManager, java.lang.String pluginName)

    - #### public org.apache.ivy.core.module.descriptor.ExcludeRule[] getExcludeRules()

    - #### public GrailsCoreDependencies getGrailsCoreDependencies()

      Gives access to the grails core dependencies.

      throws:
        IllegalStateException If the dependency manager is unable to provide this information

    - #### public java.lang.String getParentScope()

    - #### public boolean isOffline()

    - #### public void setExcludeRules(org.apache.ivy.core.module.descriptor.ExcludeRule[] excludeRules)

    - #### public void setOffline(boolean offline)

    - #### public void setParentScope(java.lang.String scope)